### Encoding: latin1

### Name: OrderWR
### Title: Pseudo-Support for Fixed Size With Replacement Sampling Designs
### Aliases: OrderWR
### Keywords: survey

### ** Examples

# Vector U contains the label of a population
U <- c("Yves", "Ken", "Erik", "Sharon", "Leslie")
N <- length(U)
# The support for fixed size with replacement sampling designs
# Under this context, there are five (5) possibles samples
OrderWR(N,1)
# The same support, but labeled
OrderWR(N,1,ID=U)
# y is the variable of interest
y<-c(32,34,46,89,35)
# The following output is very useful when checking
# the design-unbiasedness of an estimator
OrderWR(N,1,ID=y)

# If the smaple size is m=2, then there are (25) possibles samples
OrderWR(N,2)
# The same support, but labeled
OrderWR(N,2,ID=U)
# y is the variable of interest
y<-c(32,34,46,89,35)
# The following output is very useful when checking
# the design-unbiasedness of an estimator
OrderWR(N,2,ID=y)

# Note that the sample size is not always less than the population size
# if m=4 and N=4
OrderWR(4,4)
# if m=4 and N=2
OrderWR(4,2)
# if m=10 and N=2
OrderWR(2,10)



